%global major 0
%define upstream_name Tk-DoubleClick
%define upstream_version 0.04

Name:           perl-%upstream_name
Version:        %perl_convert_version %{upstream_version}
Release:        %mkrel 7
Summary:        Correctly handle single-click vs double-click events
License:        GPL+ or Artistic
Group:		Development/Perl
URL:            https://metacpan.org/release/Tk-DoubleClick
Source0:        https://cpan.metacpan.org/authors/id/D/DD/DDUMONT/Tk-DoubleClick-%{upstream_version}.tar.gz
BuildArch:      noarch
BuildRequires:  make
BuildRequires:  perl(ExtUtils::MakeMaker) >= 6.76
BuildRequires:  perl(strict)
BuildRequires:  perl(warnings)
# Run-time
BuildRequires:  perl(Exporter)
# Tests
BuildRequires:  perl(Test::More)
# Optional tests
BuildRequires:  perl(Test::Pod) >= 1.22
Requires:       perl(Tk)

%description
Tk::DoubleClick module correctly handle single-click vs double-click
events, calling only the appropriate callback for the given event.

%prep
%setup -q -n Tk-DoubleClick-%{upstream_version}

%build
perl Makefile.PL INSTALLDIRS=vendor NO_PACKLIST=1
%make_build

%install
make pure_install DESTDIR=$RPM_BUILD_ROOT
%{_fixperms} $RPM_BUILD_ROOT/*

%check
make test

%files
%doc Changes README
%{perl_vendorlib}/*
%{_mandir}/man3/*



%changelog
* Fri Jun 27 2025 umeabot <umeabot> 0.40.0-7.mga10
+ Revision: 2205406
- Mageia 10 Mass Rebuild

* Mon Mar 21 2022 umeabot <umeabot> 0.40.0-6.mga9
+ Revision: 1811351
- Mageia 9 Mass Rebuild

* Fri Feb 14 2020 umeabot <umeabot> 0.40.0-5.mga8
+ Revision: 1523013
- Mageia 8 Mass Rebuild

* Fri Feb 15 2019 tv <tv> 0.40.0-4.mga7
+ Revision: 1367276
- use %%perl_convert_version
- use upstream_name

* Thu Sep 20 2018 umeabot <umeabot> 0.04-3.mga7
+ Revision: 1287127
- Mageia 7 Mass Rebuild

* Tue Oct 03 2017 tv <tv> 0.04-2.mga7
+ Revision: 1167205
- rebuild with fixed rpm for missing autodeps

* Thu Sep 28 2017 tv <tv> 0.04-1.mga7
+ Revision: 1160986
- imported package perl-Tk-DoubleClick


* Thu Sep 28 2017 Thierry Vignaud <tv@mageia.org> 0.04-1.mga7
- import from FC

* Thu Jul 27 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.04-6
- Rebuilt for https://fedoraproject.org/wiki/Fedora_27_Mass_Rebuild

* Sun Jun 04 2017 Jitka Plesnikova <jplesnik@redhat.com> - 0.04-5
- Perl 5.26 rebuild

* Sat Feb 11 2017 Fedora Release Engineering <releng@fedoraproject.org> - 0.04-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_26_Mass_Rebuild

* Sun May 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.04-3
- Perl 5.24 rebuild

* Thu Feb 04 2016 Fedora Release Engineering <releng@fedoraproject.org> - 0.04-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_24_Mass_Rebuild

* Fri Jan 15 2016 Jitka Plesnikova <jplesnik@redhat.com> - 0.04-1
- Initial release
